Vigilfield Docs
API referenceTemplates

`GET /templates/{id}` — fetch one template by id. 404 on unknown.

GET/templates/{id}

Path Parameters

id*string

Template id, e.g. CloudTrail, Custom

Response Body

application/json

curl -X GET "https://example.com/templates/string"
{  "columns": [    {      "data_type": "string",      "description": "string",      "extraction": "string",      "name": "string",      "nullable": true    }  ],  "description": "string",  "id": "string",  "label": "string",  "mechanisms": [    {      "default": true,      "http": null,      "input_format": "string",      "mechanism": "string"    }  ],  "ocsf": {    "activity_id": 0,    "category_uid": 0,    "class_uid": 0,    "type_uid": 0  },  "requires_ingestion_features": [    "string"  ],  "status": "verified",  "suggestions": {    "table_description": "string",    "table_name": "string"  },  "version": 0}